Subject: Re: AIM9 regression

From: Stephen Hemminger <[email-masked]>
Date: Wed, 24 Sep 2008 14:34:19 -0700

On Wed, 24 Sep 2008 12:53:46 -0700 (PDT)
David Miller <[email-masked]> wrote:

> From: Christoph Lameter <[email-masked]>
> Date: Wed, 24 Sep 2008 14:10:54 -0500
> 
> > Stephen Hemminger wrote:
> > 
> > > These loopback benchmarks are often more sensitive to scheduler than networking
> > > changes.
> > 
> > Just ran a test with real NICs which show the same issues. I guess I need to
> > get familiar with the network stack and start hacking on it. Sigh.
> 
> I feel your pain, I think people are being very unreasonable in their
> analysis of your numbers, and for this I want to personally apologize.
> 
> It's clearly a networking issue in my eyes, and I wish my co-developers
> in networking would treat it as such instead of pushing the blame under
> the carpet and saying "scheduler", "SLUB", and all kinds of other bullshit
> without any facts on this specific case to back up such accusations.

Is this a one time change, or has networking been getting slower over time?